<?php $this->description();?>

class DeleteAction extends <?php echo $this->extendsActionClass;?>

{
    public function run()
    {
        //put your code here
        if(Yii::app()->request->isPostRequest)
		{
			// we only allow deletion via POST request
			$this->getController()->loadModel()->delete();

			// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
			if(!isset($_GET['ajax']))
            {
				$this->getController()->redirect(array('index'));
            }
		}
		else
        {
			throw new CHttpException(400,'Invalid request. Please do not repeat this request again.');
        }
    }
}